> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get testimony for case

> Retrieves the testimony attached to a case.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /testimony/case/{caseId}
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /testimony/case/{caseId}:
    parameters:
      - schema:
          type: string
        name: caseId
        in: path
        required: true
        description: The identifier of the case.
    get:
      tags:
        - Candidate onboarding
      summary: Get testimony for case
      description: Retrieves the testimony attached to a case.
      operationId: get-testimony-case-caseId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - testimony
                properties:
                  testimony:
                    type: object
                    description: >-
                      Each testimony type has a key in this object whose value
                      is an array of the related testimony. If no testimony is
                      available for a particular testimony type, the array will
                      be empty.
                    required:
                      - address
                      - driversLicense
                      - parentalConsent
                      - education
                      - employment
                      - customProfessionalLicense
                    properties:
                      address:
                        type: array
                        items:
                          $ref: '#/components/schemas/TestimonyAddress'
                      driversLicense:
                        type: array
                        items:
                          $ref: '#/components/schemas/TestimonyDriversLicense'
                      parentalConsent:
                        type: array
                        items:
                          $ref: '#/components/schemas/TestimonyParentalConsent'
                      education:
                        type: array
                        items:
                          $ref: '#/components/schemas/TestimonyEducation'
                      employment:
                        type: array
                        items:
                          $ref: '#/components/schemas/TestimonyEmployment'
                      customProfessionalLicense:
                        type: array
                        items:
                          $ref: >-
                            #/components/schemas/TestimonyCustomProfessionalLicense
              examples:
                Example 1:
                  value:
                    testimony:
                      address:
                        - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                          city: San Clemente
                          state: CA
                          country: US
                          address: 2 Main Street
                          address2: Unit 3
                          postalCode: '92670'
                          current: true
                      driversLicense:
                        - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                          state: CA
                          licenseNumber: D1234567
                      parentalConsent: []
                      education:
                        - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                          institution: San Diego University
                          city: San Diego
                          state: CA
                          country: US
                          educationType: College/University
                          current: true
                          degree: B.S.
                          major: Biology
                          monthBegin: September
                          yearBegin: '2006'
                          monthEnd: May
                          yearEnd: '2010'
                      employment:
                        - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                          employer: Example Employer
                          city: San Clemente
                          state: CA
                          country: US
                          current: true
                          okToContact: true
                          position: Nurse
                          monthBegin: August
                          yearBegin: '2010'
                      customProfessionalLicense: []
        '403':
          description: >-
            Forbidden


            This response likely indicates that you don't have access to the
            case.
          content: {}
        '404':
          description: Invalid `caseId`.
        '500':
          description: Internal Server Error
components:
  schemas:
    TestimonyAddress:
      title: TestimonyAddress
      type: object
      required:
        - id
        - city
        - state
        - country
        - address
        - postalCode
        - current
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the testimony record.
          readOnly: true
        city:
          type: string
          maxLength: 30
        state:
          type: string
          description: For US, use 2-letter abbreviation
        country:
          type: string
          description: ISO 3166 (2 or 3 letter) code
        address:
          type: string
          maxLength: 60
        address2:
          type: string
        postalCode:
          type: string
        current:
          type: boolean
        source:
          type: string
          example: certn
          readOnly: true
    TestimonyDriversLicense:
      title: TestimonyDriversLicense
      type: object
      required:
        - id
        - state
        - licenseNumber
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the testimony record.
          readOnly: true
        country:
          type: string
        state:
          type: string
        licenseNumber:
          type: string
          description: >-
            Must be a valid [state driver's license
            format](https://ntsi.com/drivers-license-format/).
        firstNameIfDifferent:
          type: string
        middleInitialIfDifferent:
          type: string
        lastNameIfDifferent:
          type: string
        source:
          type: string
          readOnly: true
    TestimonyParentalConsent:
      title: TestimonyParentalConsent
      type: object
      required:
        - id
        - parentGivenName
        - parentFamilyName
        - parentEmail
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the testimony record.
          readOnly: true
        parentGivenName:
          type: string
        parentFamilyName:
          type: string
        parentEmail:
          type: string
    TestimonyEducation:
      title: TestimonyEducation
      type: object
      required:
        - id
        - institution
        - city
        - state
        - country
        - current
        - monthEnd
        - yearEnd
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the testimony record.
          readOnly: true
        institution:
          type: string
          description: >-
            The name of the institution where the candidate received their
            education.
        city:
          type: string
          description: The city in which the institution is located.
        state:
          type: string
          description: The two-letter state code.
          example: NY
        country:
          type: string
          description: The ISO 3166 (2 or 3 letter) code.
          example: US
        nameIfDifferent:
          type: string
          description: The candidate's name that's on record with the institution.
        educationType:
          example: College/University
          description: >-
            The type of education, such as a college or university, a high
            school or equivalent (for example, GED), a technical or trade
            school, or other.
          type: string
        current:
          type: boolean
          default: false
          description: >-
            True if the candidate is currently enrolled at the institution;
            false otherwise. (Required true if `monthEnd` and `yearEnd` are not
            provided)
        degree:
          type: string
          description: The educational degree.
        major:
          type: string
          description: The candidate's field of study.
        gpa:
          type: string
          description: The candidate's grade point average (GPA).
        monthBegin:
          type: string
          description: The month in which the candidate began their education.
        yearBegin:
          type: string
          description: The year in which the candidate began their education.
        monthEnd:
          type: string
          description: >-
            The month in which the candidate completed their education. Not
            applicable if `current` is true. (Required if `current` is false or
            not provided)
        yearEnd:
          type: string
          description: >-
            The year in which the candidate completed their education. Not
            applicable if `current` is true. (Required if `current` is false or
            not provided)
        comments:
          type: string
        contact:
          $ref: '#/components/schemas/TestimonyContact'
          description: The institution's contact information.
    TestimonyEmployment:
      title: TestimonyEmployment
      type: object
      required:
        - id
        - employer
        - city
        - state
        - country
        - current
        - position
        - monthBegin
        - yearBegin
        - monthEnd
        - yearEnd
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the testimony record.
          readOnly: true
        employer:
          type: string
          description: >-
            The name of the candidate's current or former employer. Must be less
            than or equal to 100 characters.
        city:
          type: string
          description: The city of employment.
        state:
          type: string
          description: The two-letter state code.
        country:
          type: string
          description: The ISO 3166 (2 or 3 letter) code.
        nameIfDifferent:
          type: string
          description: The candidate's name that's on record with the employer.
        current:
          type: boolean
          default: false
          description: >-
            True if the candidate is currently employed with the employer; false
            otherwise. (Required true if `monthEnd` and `yearEnd` are not
            provided)
        okToContact:
          type: boolean
          description: >-
            True if the employer can be contacted about the candidate; false
            otherwise.
        position:
          type: string
          description: The candidate's position with the employer.
        incomeAmount:
          type: string
          description: >-
            The amount earned. This is applicable to Employment Income
            Verification.
        incomeCurrency:
          type: string
          description: >-
            The currency of the income earned. This is applicable to Employment
            Income Verification.
        incomeFrequency:
          type: string
          description: >-
            The frequency of the amount earned. This is applicable to Employment
            Income Verification.
        monthBegin:
          type: string
          description: The month in which the candidate began their employment.
        yearBegin:
          type: string
          description: The year in which the candidate began their employment.
        monthEnd:
          type: string
          description: >-
            The month in which the candidate ended their employment. Not
            applicable if `current` is true. (Required if `current` is false or
            not provided)
        yearEnd:
          type: string
          description: >-
            The year in which the candidate ended their employment. Not
            applicable if `current` is true. (Required if `current` is false or
            not provided)
        additionalInfo:
          type: string
        contact:
          $ref: '#/components/schemas/TestimonyContact'
          description: The employer's contact information.
        staffingAgency:
          type: string
          description: >-
            The Staffing Agency that the candidate is working for the employer
            through. (If applicable)
          maxLength: 100
    TestimonyCustomProfessionalLicense:
      title: TestimonyCustomProfessionalLicense
      type: object
      required:
        - id
        - caseDataIds
        - cplcId
        - cplcName
        - fields
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the testimony record.
          readOnly: true
        caseDataIds:
          type: array
          items:
            type: string
          readOnly: true
        cplcId:
          type: string
        cplcName:
          type: string
          readOnly: true
        fields:
          type: array
          items:
            type: object
            required:
              - fieldId
              - value
            properties:
              fieldId:
                type: string
              value:
                type: string
    TestimonyContact:
      title: TestimonyContact
      type: object
      properties:
        phone:
          type: string
        email:
          type: string
        website:
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````